# 20080612
%define cvs 0
%define rel 15
%if %{cvs}
%define distname %{name}-%{version}.%{cvs}
%define release %mkrel %{rel}.%{cvs}
%else
%define distname %{name}-utils-%{version}
%define release %mkrel %{rel}
%endif
%define _legacy_common_support 1

Summary: Userland tools for suspend-to-disk and suspend-to-RAM
Name: suspend
Version: 1.0
Release: %{release}
Source0: https://prdownloads.sourceforge.net/%{name}/%{distname}.tar.bz2

#- opensuse patches
Patch1: suspend-comment-configfile-options.diff
# not needed in Mageia
#Patch2: suspend-susescripts.diff
Patch3: suspend-default-compress.diff
Patch4: suspend-disable-bootsplash.diff
Patch5: suspend-default-splash.diff
# user interruption could be considered as an error, don't apply
#Patch6: suspend-0.80-dont-return-eintr-on-abort.diff
Patch10: suspend-0.80-keygen-new-defaults.diff
# we don't test whitelist
#Patch11: suspend-0.80-make-whitelist-test.diff
# not needed, builds fine
#Patch12: suspend-buildfixes.diff
Patch13: suspend-0.80-vbetool-retry-on-errors.diff
# we don't use bootsplash, not needed
#Patch16: suspend-splash-verbose-debug.diff
Patch18: s2disk-do-not-fail-without-local-terminals.patch
Patch19: s2disk-disable-splash-when-unable-to-switch-vts.patch
Patch21: suspend-ignore-acpi-video-flags-not-available.patch

#- Mageia patches
Patch102: suspend-utils-1.0-mgacomment.patch
Patch103: suspend-0.8-printf_format.patch
Patch107: suspend-utils-1.0-automake-1.13.patch
Patch108: suspend-utils-1.0-mga-noinline.patch

License: GPLv2
Group: System/Kernel and hardware
Url: https://suspend.sourceforge.net/
BuildRequires: pkgconfig(libpci) 
BuildRequires: pkgconfig(x86) 
BuildRequires: liblzo-devel 
BuildRequires: pkgconfig(zlib)
Obsoletes: wltool
Obsoletes: suspend-wltool
Requires(post): drakxtools-backend >= 10.4.97-1mdv2007.1
Requires(post): mkinitrd >= 4.2.17-27mdv2007.1
ExclusiveArch: %{x86} x86_64 ppc

%description
The goal of the project is to create a tool that can handle the so
called "suspend-to-both". Suspend to both means that prior putting the
system in STR (suspend to ram) a snapshot of the running system is
taken and stored on disk (as suspend to disk); if for any reason
(e.g. battery depleted) the state store in the RAM is lost the user
can resume from the disk without loosing data.

Currently suspend-to-ram and suspend-to-disk are handled by two
different program, s2ram and s2disk.

%package s2ram
Summary: Suspend-to-RAM utility
Group: System/Kernel and hardware
Conflicts: suspend < 0.5-4mdv2007.1

%description s2ram
s2ram is a suspend-to-RAM utility.

%prep
%setup -q -n %{distname}
#- opensuse patches
%patch -P 1 -p1
#%patch -P 2 -p0
%patch -P 3 -p0
%patch -P 4 -p0
%patch -P 5 -p0
#%patch -P 6 -p1
%patch -P 10 -p1
#%patch -P 11 -p0
#%patch -P 12 -p0
%patch -P 13 -p0
#%patch -P 16 -p1
#%patch -P 17 -p1
%patch -P 18 -p1
%patch -P 19 -p1
%patch -P 21 -p1

#- Mandriva/Mageia patches
%patch -P 102 -p1 -b .mdvcomment
%patch -P 103 -p1 -b .printf_format
%patch -P 107 -p1 -b .automake-1_13
%patch -P 108 -p1 -b .noinline

%build
#needed by patch105
libtoolize --force
autoreconf -fi

export CONFIGURE_TOP=`pwd`

mkdir -p shared
cd shared
%configure \
  --enable-compress \
  --enable-threads \
  --disable-splashy \
  --disable-plymouth \
  --disable-resume-static
%make_build
cd ..

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}

%make_install -C shared
ln -sf %{_libdir}/%{name}/resume %{buildroot}%{_sbindir}
mv %{buildroot}%{_docdir}/suspend-utils %{buildroot}%{_docdir}/%{name}

%post
/usr/sbin/bootloader-config --action rebuild-initrds || :

%files
%doc HOWTO README README.s2ram-whitelist
%doc COPYING COPYING.GPL README.encryption
%{_sbindir}/resume
%{_sbindir}/s2both
%{_sbindir}/s2disk
%{_sbindir}/swap-offset
%{_libdir}/%{name}/resume
%config(noreplace) %{_sysconfdir}/%{name}.conf

%files s2ram
%{_sbindir}/s2ram




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.0-15.mga10
+ Revision: 2128175
- Rebuild for patchN deprecation

* Thu Mar 24 2022 umeabot <umeabot> 1.0-14.mga9
+ Revision: 1825436
- Mageia 9 Mass Rebuild

* Thu Aug 06 2020 joequant <joequant> 1.0-13.mga8
+ Revision: 1611430
- add -fcommon

* Fri Feb 14 2020 umeabot <umeabot> 1.0-12.mga8
+ Revision: 1517303
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0-11.mga7
+ Revision: 1301249
- Mageia 7 Mass Rebuild

* Fri Jun 17 2016 pterjan <pterjan> 1.0-10.mga6
+ Revision: 1021836
- Restrict to supported architectures (should we kill this package?)
+ tv <tv>
- drop old redundant requires
- drop uclibc patch as uclibc isn't used

* Fri Jan 15 2016 luigiwalser <luigiwalser> 1.0-9.mga6
+ Revision: 923193
- sync a few patches from opensuse
- build without splashy/plymouth (opensuse)
- rebuild for plymouth

* Tue Oct 27 2015 danf <danf> 1.0-8.mga6
+ Revision: 895896
- Added noinline.patch to fix build on gcc 5.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0-7.mga5
+ Revision: 750542
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 689627
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0-5.mga4
+ Revision: 533085
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 luigiwalser <luigiwalser> 1.0-4.mga4
+ Revision: 471363
- use autoreconf -fi to try to fix build

* Mon Jan 14 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 383821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.0-2.mga3
+ Revision: 337934
- patch107: fix build with automake 1.13

* Wed Sep 26 2012 blino <blino> 1.0-1.mga3
+ Revision: 298511
- rediff comment removal patch
- do not package removed TODO file
- move doc files to the proper dir
- drop old splashy patch (splashy is deprecated)
- drop no-s2ram-quirks patch, upstream now skips quirks for KMS drivers
- drop old bootsplash patch
- sync patches with openSUSE (including adaptation to new plymouth API)
- 1.0

* Fri Feb 18 2011 ahmad <ahmad> 0.8-11.20080612.mga1
+ Revision: 53879
- imported package suspend

